



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>python一些模块的exe安装包在windows的64位系统里识别不到已安装Python目录的解决方法</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">python一些模块的exe安装包在windows的64位系统里识别不到已安装Python目录的解决方法</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-01-29 18:25:22 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>在windows里安装python一些模块时候，有时候源码安装比较困难，pip install也各种报错，这时候最喜欢用别人编译好的exe或者whl文件来安装，但是在windows的64位系统里，如果有一些安装包没怎么考虑过在64位系统上的安装，在安装时候就会找不到你自己安装的python目录。(如IDA安装时候找不到python目录就提示要不要安装其内置的python2.6)</p>
<p>解决法子：运行国外这个脚本，即可把你64位系统上的python目录添加至注册表里。</p>
<div>
<pre class="prettyprint linenums">#<br />
# script to register Python 2.0 or later for use with win32all<br />
# and other extensions that require Python registry settings<br />
#<br />
# written by Joakim Loew for Secret Labs AB / PythonWare<br />
#<br />
# source:<br />
# http://www.pythonware.com/products/works/articles/regpy20.htm<br />
#<br />
# modified by Valentine Gogichashvili as described in http://www.mail-archive.com/distutils-sig@python.org/msg10512.html

import sys

from _winreg import *

# tweak as necessary<br />
version = sys.version[:3]<br />
installpath = sys.prefix

regpath = "SOFTWARE\\Python\\Pythoncore\\%s\\" % (version)<br />
installkey = "InstallPath"<br />
pythonkey = "PythonPath"<br />
pythonpath = "%s;%s\\Lib\\;%s\\DLLs\\" % (<br />
    installpath, installpath, installpath<br />
)

def RegisterPy():<br />
    try:<br />
        reg = OpenKey(HKEY_CURRENT_USER, regpath)<br />
    except EnvironmentError as e:<br />
        try:<br />
            reg = CreateKey(HKEY_CURRENT_USER, regpath)<br />
            SetValue(reg, installkey, REG_SZ, installpath)<br />
            SetValue(reg, pythonkey, REG_SZ, pythonpath)<br />
            CloseKey(reg)<br />
        except:<br />
            print "*** Unable to register!"<br />
            return<br />
        print "--- Python", version, "is now registered!"<br />
        return<br />
    if (QueryValue(reg, installkey) == installpath and<br />
        QueryValue(reg, pythonkey) == pythonpath):<br />
        CloseKey(reg)<br />
        print "=== Python", version, "is already registered!"<br />
        return<br />
    CloseKey(reg)<br />
    print "*** Unable to register!"<br />
    print "*** You probably have another Python installation!"

if __name__ == "__main__":<br />
    RegisterPy()</pre>
</div>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/m96lgw39.html">Android ViewPager 用法</a>
		</li>
						<li><a href="https://www.batexi.com/a/1q26z3w9.html">Java 集合系列17之 TreeSet详细介绍&lpar;源码解析&rpar;和使用示例</a>
		</li>
						<li><a href="https://www.batexi.com/a/rql3p1kq.html">Android 计算器UI-TableLayout</a>
		</li>
						<li><a href="https://www.batexi.com/a/1q2rd0x9.html">菜鸟写的第一个chrome插件</a>
		</li>
						<li><a href="https://www.batexi.com/a/39rolw49.html">对学长所谓&OpenCurlyDoubleQuote;改变世界的游戏&rdquo;《shield star》的运行感想-毛宇部分&lpar;完整版本请参考团队博客&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/m8zmd6n9.html">cocos3 singleton</a>
		</li>
						<li><a href="https://www.batexi.com/a/r930vw09.html">php--&amp;gt&semi;mongodb&lbrack;curd操作&rsqb;</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1zrle59.html">黄聪：WordPress 函数：apply&lowbar;filters&lpar;&rpar;（创建过滤器）</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pj6g2k9.html">Linux netstat命令参数解释</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pj5vo79.html">再回首，Java温故知新&lpar;十一&rpar;：Java反射</a>
		</li>
						<li><a href="https://www.batexi.com/a/96oerx49.html">ida idc函数列表全集</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvv4o7yq.html">KEIL里 Volatile的用法</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2jj26x8.html">WPF技术触屏上的应用系列（六）&colon; 视觉冲击、超炫系统主界面、系统入口效果实现</a>
		</li>
						<li><a href="https://www.batexi.com/a/qljl7l09.html">asp&period;net MVC中的AppendTrailingSlash以及LowercaseUrls</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1kpdl69.html">虔诚的墓主人（bzoj 1227）</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gerv548.html">github设置</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4z6jn39.html">DOM操作整理</a>
		</li>
						<li><a href="https://www.batexi.com/a/95grd00q.html">linux blast</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gjrn4l9.html">理解 Python 的执行方式，与字节码 bytecode 玩耍 （上）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnndd53q.html">Ora2Pg的安装和使用</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/9pjz4wz9.html">AngularJS学习资源</a>
			</li>
						<li><a href="https://www.batexi.com/a/qvvxlzjq.html">20151217--Ajax的一点补充</a>
			</li>
						<li><a href="https://www.batexi.com/a/qwd62e38.html">arcgis切图问题</a>
			</li>
						<li><a href="https://www.batexi.com/a/8mng12oq.html">无法下载图片  App Transport Security has blocked a cleartext HTTP &lpar;http&colon;&sol;&sol;&rpar; resource load since it is insecure&period; Temporary exceptions can be configured via your app&amp;&num;39&semi;s Info&period;plist file</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7m46wkq.html">Android Every day a new function&colon;two</a>
			</li>
						<li><a href="https://www.batexi.com/a/9j0kww4q.html">我定制的jquery ui主题</a>
			</li>
						<li><a href="https://www.batexi.com/a/90voo438.html">avalon&period;js 多级下拉框实现</a>
			</li>
						<li><a href="https://www.batexi.com/a/qydppnjq.html">关系数据库标准语言SQL的基本问答</a>
			</li>
						<li><a href="https://www.batexi.com/a/93x507g9.html">第4章 分治策略 monge阵列</a>
			</li>
						<li><a href="https://www.batexi.com/a/qvvxgnjq.html">sqlite3编译与查询</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
